Subject: RE: ICMPv6 Source Address Determination - Paranoid catch all?

From: [email-masked]
Date: Wed, 12 Jan 2005 12:43:27 +0200

Elwyn & Pekka,

> In that case, I guess (d) would have to be reworded to better match 
> reality, for example, from:
> 
>      (d) Otherwise, the node's routing table must be examined to
>          determine which interface will be used to transmit the message
>          to its destination, and a unicast address belonging to that
>          interface MUST be used as the Source Address of the message.
> 
> to:
> 
>      (d) Otherwise, the source address is determined by the same
>          way as for any other packet the node originates.
> 
> ...
> 
> This prevents the problem with no global address on the interface, 
> because the code will should pick a source address of the same or 
> larger scope for the reply..

I think that Pekka's suggestion looks reasonable. 

John

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Elwyn Davies <[email-masked]>
Date: Wed, 12 Jan 2005 10:51:14 +0000

The revised wording for (d) (with s/by the same/with the same/) looks OK 
but doesn't cover the other corner case for 2.2(b).

Elwyn